/**
 * Copyright © 2021 Maxime Friess <M4x1me@pm.me>
 *
 * This file is part of Seb-BOT.
 *
 * Seb-BOT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Seb-BOT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Seb-BOT.  If not, see <https://www.gnu.org/licenses/>.
 */

import { Api } from '../base/Api';
import { SoftConfig } from '../config/SoftConfig';

class GitlabApiManager extends Api {
    constructor() {
        super();
        SoftConfig.registerConfig('gitlab.url');
    }

    async project() {
        return await this.request('GET', SoftConfig.get('gitlab.url', ''));
    }
}

export const GitlabApi = new GitlabApiManager();
