/**
 * Copyright © 2022 Maxime Friess <M4x1me@pm.me>
 *
 * This file is part of Seb-BOT.
 *
 * Seb-BOT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Seb-BOT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Seb-BOT.  If not, see <https://www.gnu.org/licenses/>.
 */

class RUManager {
    private ru;

    constructor() {
        this.ru = [
            { name: "Illkirch", value: "25,1392" },
            { name: "Paul Appell", value: "25,1386" },
            { name: "Galia", value: "25,1382" },
            { name: "Esplanade", value: "25,1387" },
            { name: "Cronenbourg", value: "25,1391" },
        ];
    }

    public getRUArguments() {
        return this.ru;
    }

    public getRUSelect(region: number, restaurent: number) {
        return this.ru.map((x) => ({
            label: x.name,
            value: x.value,
            default: x.value === `${region},${restaurent}`
        }))
    }
}

export const RU = new RUManager();
